package com.th.demo.service.system;

import com.th.demo.model.system.SysUser;
import com.th.demo.model.system.SysUserDeptPost;

import com.th.demo.model.system.SysUserDeptPostShow;

import java.util.List;

/**
 * Created by dell on 2017-07-10.
 */
public interface SysUserDeptPostService {

      List<SysUserDeptPostShow> query(String userId);

      SysUserDeptPost queryById(String id);

      int modify(SysUserDeptPost udp);

      int add(SysUserDeptPost udp);

      int remove(String id);


     List<SysUser> queryByDeptPost(String deptId, String postId);

    String save(String userId, String deptId, String postId, String addId);

    String remove(String id, String userId);
}
